<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>test_matrice module &mdash; Documentation calculs-matriciels 1.0.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/translations.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> calculs-matriciels
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="modules.html">calculs-matriciels</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">calculs-matriciels</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
      <li class="breadcrumb-item active">test_matrice module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/test_matrice.rst.txt" rel="nofollow"> Afficher la source de la page</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-test_matrice">
<span id="test-matrice-module"></span><h1>test_matrice module<a class="headerlink" href="#module-test_matrice" title="Lien permanent vers cette rubrique"></a></h1>
<dl class="py class">
<dt class="sig sig-object py" id="test_matrice.TestMatriceFunctions">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">test_matrice.</span></span><span class="sig-name descname"><span class="pre">TestMatriceFunctions</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">methodName</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'runTest'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#test_matrice.TestMatriceFunctions" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Bases : <code class="xref py py-class docutils literal notranslate"><span class="pre">TestCase</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="test_matrice.TestMatriceFunctions.test_change_valeur">
<span class="sig-name descname"><span class="pre">test_change_valeur</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#test_matrice.TestMatriceFunctions.test_change_valeur" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="test_matrice.TestMatriceFunctions.test_dimension_check">
<span class="sig-name descname"><span class="pre">test_dimension_check</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#test_matrice.TestMatriceFunctions.test_dimension_check" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="test_matrice.TestMatriceFunctions.test_is_element">
<span class="sig-name descname"><span class="pre">test_is_element</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#test_matrice.TestMatriceFunctions.test_is_element" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="test_matrice.TestMatriceFunctions.test_matrice">
<span class="sig-name descname"><span class="pre">test_matrice</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#test_matrice.TestMatriceFunctions.test_matrice" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="test_matrice.TestMatriceFunctions.test_matrice_identite">
<span class="sig-name descname"><span class="pre">test_matrice_identite</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#test_matrice.TestMatriceFunctions.test_matrice_identite" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="test_matrice.TestMatriceFunctions.test_produit_matriciel">
<span class="sig-name descname"><span class="pre">test_produit_matriciel</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#test_matrice.TestMatriceFunctions.test_produit_matriciel" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="test_matrice.TestMatriceFunctions.test_produit_scalaire">
<span class="sig-name descname"><span class="pre">test_produit_scalaire</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#test_matrice.TestMatriceFunctions.test_produit_scalaire" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="test_matrice.TestMatriceFunctions.test_somme_matrice">
<span class="sig-name descname"><span class="pre">test_somme_matrice</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#test_matrice.TestMatriceFunctions.test_somme_matrice" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

</dd></dl>

</section>


           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, salaun.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>